## org.biojavax.bio.phylo
Class DistanceBasedTreeMethod

    java.lang.Object
      org.biojavax.bio.phylo.DistanceBasedTreeMethod

    public class DistanceBasedTreeMethod

extends Object

Constructor Summary
`DistanceBasedTreeMethod()`

Method Summary
`static org.jgrapht.WeightedGraph<String,org.jgrapht.graph.DefaultWeightedEdge>` `NeighborJoining(TaxaBlock t, CharactersBlock ch)`
`static org.jgrapht.WeightedGraph<String,org.jgrapht.graph.DefaultWeightedEdge>` `Upgma(TaxaBlock t, CharactersBlock ch)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistanceBasedTreeMethod

    public DistanceBasedTreeMethod()

Method Detail

### Upgma

    public static org.jgrapht.WeightedGraph<String,org.jgrapht.graph.DefaultWeightedEdge> Upgma(TaxaBlock t,
                                                                                                CharactersBlock ch)

### NeighborJoining

    public static org.jgrapht.WeightedGraph<String,org.jgrapht.graph.DefaultWeightedEdge> NeighborJoining(TaxaBlock t,
                                                                                                          CharactersBlock ch)